/* ==UserStyle==
@name           Youtube.com - Custom YouTube Caption Colors
@namespace      github.com/openstyles/stylus
@version        1.5.1
@description    Allows the user to customize the colors of the YouTube captions.
@author         neo.nyaa (https://discord.com/users/427114049487241227)
@homepageURL    https://gitlab.com/___Neopolitan/CSS-Tweaks

@preprocessor stylus
@var color captionTextColor "Caption text color" rgba(255, 255, 255, 1)
@var color captionBackgroundColor "Caption background color" rgba(0, 0, 0, 1)
@var checkbox captionUniformBackground "Uniformed caption background" 0
==/UserStyle== */

@-moz-document domain("youtube.com") {
    .ytp-caption-segment {
        background: captionBackgroundColor !important;
        color: captionTextColor !important;
    }

    .caption-window {
        background: none !important;
        width: auto !important;
    }

    if captionUniformBackground {
        .caption-window {
            background: captionBackgroundColor !important;
        }
        .ytp-caption-segment {
            background: none !important;
        }
    }
}
